## openfoam 1906.191111+dfsg1

=== wmake/src/Makefile ===
#----------------------------*- makefile-gmake -*------------------------------
# =========                 |
# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
#  \\    /   O peration     |
#   \\  /    A nd           | www.openfoam.com
#    \\/     M anipulation  |
#------------------------------------------------------------------------------
#     Released 2004-2011 OpenCFD Ltd.
#     Copyright (C) 2011-2016 OpenFOAM Foundation
#     Modified code Copyright (C) 2017-2019 OpenCFD Ltd.
#------------------------------------------------------------------------------
# License
#     This file is part of OpenFOAM.
#
#     OpenFOAM is free software: you can redistribute it and/or modify it
#     under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#     for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
#
# File
#     Makefile
#
# Description
#     Makefile used to compile wmake utilities.
#
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# Use POSIX shell
#------------------------------------------------------------------------------

SHELL   = /bin/sh

#------------------------------------------------------------------------------
# No default suffix rules used
#------------------------------------------------------------------------------

.SUFFIXES:


#------------------------------------------------------------------------------
# Set compilation and dependency building rules
#------------------------------------------------------------------------------

# Locally set optimized compilation
WM_COMPILE_OPTION = Opt

GENERAL_RULES   = $(WM_DIR)/rules/General
include $(GENERAL_RULES)/general

archHost    := $(WM_ARCH)$(WM_COMPILER)
archTarget  := $(shell basename $(WMAKE_BIN))


#------------------------------------------------------------------------------
# Targets
#------------------------------------------------------------------------------

.PHONY: all clean message

all: $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message

message:
ifneq ($(archHost),$(archTarget))
	@echo "built wmake-bin ($(archTarget)) for $(archHost) host"
else
	@echo "built wmake-bin ($(archTarget))"
endif

clean:
	@echo "clean wmake-bin ($(archTarget))"
	@rm -rf $(WMAKE_BIN) 2>/dev/null
	@rmdir $(shell dirname $(WMAKE_BIN)) 2>/dev/null || true

$(WMAKE_BIN)/wmkdep$(EXT_EXE): wmkdep.l
	@mkdir -p $(WMAKE_BIN)
	$(call QUIET_MESSAGE,flex,$(<F))
	$E flex -o $@.c $(<F) && $(cc) $(cFLAGS) $@.c -o $@
	@rm -f $@.c 2>/dev/null

$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cpp
	@mkdir -p $(WMAKE_BIN)
	$(call QUIET_MESSAGE,wmkdepend,$(<F))
	$E $(CC) $(c++FLAGS) $(c++LESSWARN) $(<F) -o $@

# $(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
# 	@mkdir -p $(WMAKE_BIN)
# 	$(call QUIET_MESSAGE,ragel,$(<F))
# 	$E ragel -G2 -o $@.cpp $(<F) && $(CC) $(c++FLAGS) $(c++LESSWARN) $@.cpp -o $@
# 	@rm -f $@.cpp 2>/dev/null

#------------------------------------------------------------------------------

=== src/functionObjects/graphics/runTimePostProcessing/CMakeLists.txt ===
#------------------------------------------------------------------------------
cmake_minimum_required(VERSION 2.8)
cmake_policy(SET CMP0002 NEW)   # Policy CMP0002 required for for cmake >= 3

# Fail if not building out-of-source
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR
        "In-source builds disallowed. Use a separate build directory")
endif()

#-----------------------------------------------------------------------------
# Simple discovery and sanity checks

if (EXISTS "$ENV{VTK_DIR}")
    message("Building with VTK from $ENV{VTK_DIR}")
    find_package(VTK REQUIRED HINTS $ENV{VTK_DIR})
    include(${VTK_USE_FILE})
elseif (EXISTS "$ENV{ParaView_DIR}")
    message("Building with Paraview from $ENV{ParaView_DIR}")
    find_package(ParaView REQUIRED HINTS $ENV{ParaView_DIR})
    include(${VTK_USE_FILE})
    set(
        VTK_VERSION
        "${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}.${VTK_BUILD_VERSION}"
    )
else()
    message(FATAL_ERROR "VTK not found using VTK_DIR or ParaView_DIR")
endif()

#-----------------------------------------------------------------------------

include(CMakeLists-OpenFOAM.txt)
include(CMakeLists-Project.txt)

#-----------------------------------------------------------------------------

=== debian/changelog ===
openfoam (1906.191111+dfsg1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:21:56 +0100

openfoam (1906.191111+dfsg1-2) unstable; urgency=medium

  * [d64a732] Update d/watch url
  * [e72cfcf] Unset MAKEFLAGS to fix parallel builds (Closes: #945041)

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 19 Dec 2019 22:41:17 -0600

openfoam (1906.191111+dfsg1-1) unstable; urgency=medium

  * [74095ba] Update package homepage
  * [863113f] Update debian/watch pattern
  * [e6f2069] New upstream version 1906.191111+dfsg1

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 13 Nov 2019 12:09:41 -0600

=== debian/control ===
Source: openfoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>
Section: science
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 11),
               flex,
               gawk,
               libreadline-dev,
               mpi-default-bin,
               mpi-default-dev,
               libscotch-dev,
               libboost-system-dev,
               libfl-dev,
               libcgal-dev,
               libfftw3-dev,
               libptscotch-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/openfoam
Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
Homepage: http://openfoam.com

Package: openfoam
Architecture: any
Depends: libopenfoam (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openfoam-examples
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - binaries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains binaries.

Package: libopenfoam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - libraries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains needed libraries.

Package: openfoam-examples
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - examples
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains examples and tutorials.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://develop.openfoam.com/Development/openfoam/tags .*/openfoam-OpenFOAM-v(\d*\.\d*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openfoam 1912.200626

=== wmake/src/Makefile ===
--- 
+++ 
@@ -5,9 +5,8 @@
 #   \\  /    A nd           | www.openfoam.com
 #    \\/     M anipulation  |
 #------------------------------------------------------------------------------
-#     Released 2004-2011 OpenCFD Ltd.
 #     Copyright (C) 2011-2016 OpenFOAM Foundation
-#     Modified code Copyright (C) 2017-2019 OpenCFD Ltd.
+#     Copyright (C) 2017-2019 OpenCFD Ltd.
 #------------------------------------------------------------------------------
 # License
 #     This file is part of OpenFOAM.
@@ -64,9 +63,12 @@
 # Targets
 #------------------------------------------------------------------------------
 
-.PHONY: all clean message
+.PHONY: all clean message old
 
-all: $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message
+all: $(WMAKE_BIN)/lemon$(EXT_EXE) $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message
+
+# Flex-based processing
+old: $(WMAKE_BIN)/wmkdep$(EXT_EXE)
 
 message:
 ifneq ($(archHost),$(archTarget))
@@ -77,24 +79,29 @@
 
 clean:
 	@echo "clean wmake-bin ($(archTarget))"
-	@rm -rf $(WMAKE_BIN) 2>/dev/null
+	@rm -rf $(WMAKE_BIN)
 	@rmdir $(shell dirname $(WMAKE_BIN)) 2>/dev/null || true
+
+$(WMAKE_BIN)/lemon$(EXT_EXE): lemon.c
+	@mkdir -p $(WMAKE_BIN)
+	$(call QUIET_MESSAGE,lemon,$(<F))
+	$(cc) $(cFLAGS) $(<F) -o $@
 
 $(WMAKE_BIN)/wmkdep$(EXT_EXE): wmkdep.l
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,flex,$(<F))
 	$E flex -o $@.c $(<F) && $(cc) $(cFLAGS) $@.c -o $@
-	@rm -f $@.c 2>/dev/null
+	@rm -f $@.c
 
-$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cpp
+$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cc
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,wmkdepend,$(<F))
-	$E $(CC) $(c++FLAGS) $(c++LESSWARN) $(<F) -o $@
+	$E $(CC) $(c++FLAGS) $(<F) -o $@
 
-# $(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
-# 	@mkdir -p $(WMAKE_BIN)
-# 	$(call QUIET_MESSAGE,ragel,$(<F))
-# 	$E ragel -G2 -o $@.cpp $(<F) && $(CC) $(c++FLAGS) $(c++LESSWARN) $@.cpp -o $@
-# 	@rm -f $@.cpp 2>/dev/null
+#$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
+#	@mkdir -p $(WMAKE_BIN)
+#	$(call QUIET_MESSAGE,ragel,$(<F))
+#	$E ragel -G2 -o $@.cc $(<F) && $(CC) $(c++FLAGS) $@.cc -o $@
+#	@rm -f $@.cc
 
 #------------------------------------------------------------------------------

=== src/functionObjects/graphics/runTimePostProcessing/CMakeLists.txt ===
--- 
+++ 
@@ -11,20 +11,40 @@
 #-----------------------------------------------------------------------------
 # Simple discovery and sanity checks
 
+unset(VTK_VERSION)
+unset(VTK_VERSION_MAJOR)
+
 if (EXISTS "$ENV{VTK_DIR}")
     message("Building with VTK from $ENV{VTK_DIR}")
     find_package(VTK REQUIRED HINTS $ENV{VTK_DIR})
-    include(${VTK_USE_FILE})
 elseif (EXISTS "$ENV{ParaView_DIR}")
     message("Building with Paraview from $ENV{ParaView_DIR}")
     find_package(ParaView REQUIRED HINTS $ENV{ParaView_DIR})
-    include(${VTK_USE_FILE})
-    set(
-        VTK_VERSION
-        "${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}.${VTK_BUILD_VERSION}"
-    )
 else()
     message(FATAL_ERROR "VTK not found using VTK_DIR or ParaView_DIR")
+endif()
+
+if (VTK_USE_FILE)
+    message("VTK from ${VTK_USE_FILE}")
+    include(${VTK_USE_FILE})
+endif()
+
+#-----------------------------------------------------------------------------
+# Handle name changes (eg, VTK_MAJOR_VERSION to VTK_VERSION_MAJOR etc.)
+
+if (VTK_MAJOR_VERSION AND NOT VTK_VERSION_MAJOR)
+    message("Found older VTK version naming")
+    set(VTK_VERSION_MAJOR ${VTK_MAJOR_VERSION})
+    set(VTK_VERSION_MINOR ${VTK_MINOR_VERSION})
+    set(VTK_VERSION_PATCH ${VTK_BUILD_VERSION})
+
+    if (NOT VTK_VERSION)
+        set(
+            VTK_VERSION
+            "${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR}.${VTK_VERSION_PATCH}"
+        )
+        message("Synthesized VTK version: " ${VTK_VERSION})
+    endif()
 endif()
 
 #-----------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/blockMeshReader/CMakeLists.txt ===
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8)
cmake_policy(SET CMP0002 NEW)   # Policy CMP0002 required for for cmake >= 3

# Fail if not building out-of-source
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR
        "In-source builds disallowed. Use a separate build directory")
endif()

#-----------------------------------------------------------------------------
# Simple discovery and sanity checks

find_package(ParaView REQUIRED)

# Qualify OpenFOAM/ParaView libraries with -pvMAJ.MIN
# The pv_api can also be used for paraview-MAJ.MIN
if (DEFINED ENV{PARAVIEW_API})
    set(pv_api "$ENV{PARAVIEW_API}")
else()
    if (${ParaView_VERSION} GREATER_EQUAL 5.7)
        string(REGEX MATCH [0-9]+[.][0-9]+ pv_api ${ParaView_VERSION})
        message("The PARAVIEW_API env was unset, "
            "extracted value from version="
            "${ParaView_VERSION} is ${pv_api}")
    else()
        set(pv_api "${PARAVIEW_VERSION_MAJOR}.${ParaView_VERSION_MINOR}")
        message("The PARAVIEW_API env was unset, "
            "assembled from maj/min="
            "${ParaView_VERSION_MAJOR}/${ParaView_VERSION_MINOR} is ${pv_api}")
    endif()
endif()

# Pass through the OpenFOAM API value to the reader
set(foam_api "$ENV{FOAM_API}")
if (NOT "${foam_api}")
    set(foam_api "2.0")
endif()

set(foamPvLibQualifier "-pv${pv_api}")

#-----------------------------------------------------------------------------

message("================")
message("Using ParaView = $ENV{ParaView_DIR}")
message("OpenFOAM api   = ${foam_api}, libs = ${foamPvLibQualifier}")

#-----------------------------------------------------------------------------

include(CMakeLists-OpenFOAM.txt)

if (${ParaView_VERSION} GREATER_EQUAL 5.7)
  message("================")
  include(CMakeLists-Project57.txt)
else()
  message("================")
  include(${PARAVIEW_USE_FILE})
  include(CMakeLists-Project.txt)
endif()

#-----------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/foamReader/CMakeLists.txt ===
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8)
cmake_policy(SET CMP0002 NEW)   # Policy CMP0002 required for for cmake >= 3

# Fail if not building out-of-source
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR
        "In-source builds disallowed. Use a separate build directory")
endif()

#-----------------------------------------------------------------------------
# Simple discovery and sanity checks

find_package(ParaView REQUIRED)

# Qualify OpenFOAM/ParaView libraries with -pvMAJ.MIN
# The pv_api can also be used for paraview-MAJ.MIN
if (DEFINED ENV{PARAVIEW_API})
    set(pv_api "$ENV{PARAVIEW_API}")
else()
    if (${ParaView_VERSION} GREATER_EQUAL 5.7)
        string(REGEX MATCH [0-9]+[.][0-9]+ pv_api ${ParaView_VERSION})
        message("The PARAVIEW_API env was unset, "
            "extracted value from version="
            "${ParaView_VERSION} is ${pv_api}")
    else()
        set(pv_api "${PARAVIEW_VERSION_MAJOR}.${ParaView_VERSION_MINOR}")
        message("The PARAVIEW_API env was unset, "
            "assembled from maj/min="
            "${ParaView_VERSION_MAJOR}/${ParaView_VERSION_MINOR} is ${pv_api}")
    endif()
endif()

# Pass through the OpenFOAM API value to the reader
set(foam_api "$ENV{FOAM_API}")
if (NOT "${foam_api}")
    set(foam_api "2.0")
endif()

set(foamPvLibQualifier "-pv${pv_api}")

#-----------------------------------------------------------------------------

message("================")
message("Using ParaView = $ENV{ParaView_DIR}")
message("OpenFOAM api   = ${foam_api}, libs = ${foamPvLibQualifier}")

include(CMakeLists-OpenFOAM.txt)

if (${ParaView_VERSION} GREATER_EQUAL 5.7)
  message("================")
  include(CMakeLists-Project57.txt)
else()
  message("================")
  include(${PARAVIEW_USE_FILE})
  include(CMakeLists-Project.txt)
endif()

#-----------------------------------------------------------------------------

=== debian/changelog ===
openfoam (1912.200626-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:24:01 +0000

openfoam (1912.200626-2build2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:32:00 +0000

openfoam (1912.200626-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:29 +0100

openfoam (1912.200626-2) unstable; urgency=medium

  * Team upload.
  * d/patches/gcc-13.patch: cherry-picked from upstream to fix ftbfs
    with GCC-13. Closes: #1037803
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 15 Aug 2023 13:05:42 +0200

openfoam (1912.200626-1) unstable; urgency=medium

  * [584a7e2] New upstream version 1912.200626
  * [f23d691] Refresh hardening patch
  * [c4b478b] Remove unneeded Files-Excluded; prebuilt PDF gone

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 11 Feb 2021 14:50:01 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: openfoam
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Kurt Kremitzki <kurt@kwk.systems>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
 Section: science
 Priority: optional
 Build-Depends: bison,
                cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                flex,
                gawk,
                libreadline-dev,
@@ -18,10 +19,11 @@
                libfftw3-dev,
                libptscotch-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/openfoam
 Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
-Homepage: http://openfoam.com
+Homepage: https://openfoam.com
+Rules-Requires-Root: no
 
 Package: openfoam
 Architecture: any

=== debian/tests/control ===
Tests: icoFoamCavity icoFoamElbow moveDynamic boundaryFoam
Depends: openfoam

=== debian/watch ===
version=4

opts=\
dversionmangle=auto,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/

https://develop.openfoam.com/Development/openfoam/tags \
  .*/openfoam-OpenFOAM-v(\d[._\d]*\d)@ARCHIVE_EXT@ \
  debian
